JexlException.Method (Apache Commons JEXL 3.6.3 API)
Description: declaration: package: org.apache.commons.jexl3, class: JexlException, class: Method

Package org.apache.commons.jexl3

# Class JexlException.Method

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.jexl3.JexlException
org.apache.commons.jexl3.JexlException.Method

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `JexlException`

public static class JexlException.Method extends JexlException
Thrown when a method or ctor is unknown, ambiguous, or inaccessible.

Since:
  3.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.jexl3.JexlException

  `JexlException.Ambiguous, JexlException.Annotation, JexlException.Assignment, JexlException.Break, JexlException.Cancel, JexlException.Continue, JexlException.Feature, JexlException.Method, JexlException.Operator, JexlException.Parsing, JexlException.Property, JexlException.Return, JexlException.StackOverflow, JexlException.Throw, JexlException.Tokenization, JexlException.TryFailed, JexlException.Variable, JexlException.VariableIssue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Method(JexlInfo info, String name, Object[] args)`
  Creates a new Method exception instance.
  `Method(JexlInfo info, String name, Object[] args, Throwable cause)`
  Creates a new Method exception instance.
  `Method(JexlInfo info, String name, Throwable cause)`
  Deprecated.
  as of 3.2, use call with method arguments
  `Method(org.apache.commons.jexl3.parser.JexlNode node, String name)`
  Deprecated.
  as of 3.2, use call with method arguments
  `Method(org.apache.commons.jexl3.parser.JexlNode node, String name, Object[] args)`
  Creates a new Method exception instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `detailedMessage()`
  Accesses the detailed message.
  `String`
  `getMethod()`
  Gets the method name
  `String`
  `getMethodSignature()`
  Gets the method signature.

  ### Methods inherited from class org.apache.commons.jexl3.JexlException

  `annotationError, clean, getDetail, getInfo, getInfo, getMessage, info, methodError, methodError, operatorError, parserError, propertyError, propertyError, sliceSource, tryFailed, variableError, variableError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Method

    public Method(JexlInfo info, String name, Object[] args)
    Creates a new Method exception instance.
    Parameters:
      `info` - the location information
      `name` - the method name
      `args` - the method arguments
    Since:
      3.2

  - ### Method

    public Method(JexlInfo info, String name, Object[] args, Throwable cause)
    Creates a new Method exception instance.
    Parameters:
      `info` - the location information
      `name` - the method name
      `args` - the method arguments
      `cause` - the exception causing the error
    Since:
      3.2

  - ### Method

    @Deprecated public Method(JexlInfo info, String name, Throwable cause)
    Deprecated.
    as of 3.2, use call with method arguments
    Creates a new Method exception instance.
    Parameters:
      `info` - the location information
      `name` - the unknown method
      `cause` - the exception causing the error

  - ### Method

    @Deprecated public Method(org.apache.commons.jexl3.parser.JexlNode node, String name)
    Deprecated.
    as of 3.2, use call with method arguments
    Creates a new Method exception instance.
    Parameters:
      `node` - the offending ASTnode
      `name` - the method name

  - ### Method

    public Method(org.apache.commons.jexl3.parser.JexlNode node, String name, Object[] args)
    Creates a new Method exception instance.
    Parameters:
      `node` - the offending ASTnode
      `name` - the method name
      `args` - the method arguments
    Since:
      3.2

- ## Method Details

  - ### detailedMessage

    protected String detailedMessage()
    Description copied from class: `JexlException`
    Accesses the detailed message.
    Overrides:
      `detailedMessage` in class `JexlException`
    Returns:
      the message

  - ### getMethod

    public String getMethod()
    Gets the method name
    Returns:
      the method name

  - ### getMethodSignature

    public String getMethodSignature()
    Gets the method signature.
    Returns:
      the method signature
    Since:
      3.2